# tenantDelete

Delete a tenant

**Scope required:** product:write

```graphql
mutation tenantDelete ($id: ID!) {
  tenantDelete (id: $id) {
      errors
      tenant {
        accountId
        code
        createdAt
        customFieldsData
        hasCustomFields
        id
        lastLogin
        lastSuccessfulWebhookAt
        lastWebhookStatus
        name
        platformId
        subdomain
        tenantUuid
        updatedAt
        userCount
        utilizationMetrics
      }
  }
}
```

## Arguments

```json
{
  "id": "456123"
}
```

| Name | Type | Description |
| ---- | ---- | ----------- |
| id   | ID   |             |

## Response

| Name   | Type                                               | Description |
| ------ | -------------------------------------------------- | ----------- |
| errors | String                                             |             |
| tenant | [Tenant](/developer/api-reference/types/tenant.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/tenantdelete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
